class OpenWeatherBaseRequest {
  /// Latitude of location for request
  final double lat;

  /// Longitude of location for request
  final double long;

  /// Your unique API key
  final String appid;

  /// Data format. Possible values are `json` and `xml`
  /// If the mode parameter is empty the format is JSON by default
  final String? mode;

  /// Language code
  final String? lang;

  OpenWeatherBaseRequest({
    required this.lat,
    required this.long,
    required this.appid,
    this.mode,
    this.lang,
  });
}

class OpenWeatherCurrentWeatherRequest extends OpenWeatherBaseRequest {
  final String? units;

  OpenWeatherCurrentWeatherRequest(
      {required double lat,
      required double long,
      required String appid,
      String? mode,
      this.units,
      String? lang})
      : super(
          lat: lat,
          long: long,
          appid: appid,
          mode: mode,
          lang: lang,
        );
}
