import 'package:json_annotation/json_annotation.dart';

part 'coordinate.g.dart';

@JsonSerializable()
class Coordinate {
  @JsonKey(name: 'lat')
  final double latitude;
  @JsonKey(name: 'lon')
  final double longitude;

  Coordinate({
    required this.latitude,
    required this.longitude,
  });

  /// Connect the generated [_$CoordinateFromJson] function to the `fromJson`
  /// factory.
  factory Coordinate.fromJson(Map<String, dynamic> json) =>
      _$CoordinateFromJson(json);

  /// Connect the generated [_$CoordinateToJson] function to the `toJson` method.
  Map<String, dynamic> toJson() => _$CoordinateToJson(this);

  @override
  String toString() =>
      "Coordinate {latitude: $latitude, longitude: $longitude}";
}
