import 'package:json_annotation/json_annotation.dart';

part 'rain.g.dart';

@JsonSerializable()
class Rain {
  @JsonKey(name: "1h")
  final double oneHour;
  @JsonKey(name: "3h")
  final double threeHour;

  Rain({
    required this.oneHour,
    required this.threeHour,
  });

  /// Connect the generated [_$RainFromJson] function to the `fromJson`
  /// factory.
  factory Rain.fromJson(Map<String, dynamic> json) => _$RainFromJson(json);

  /// Connect the generated [_$RainToJson] function to the `toJson` method.
  Map<String, dynamic> toJson() => _$RainToJson(this);
}
