import 'package:json_annotation/json_annotation.dart';

part 'response_main.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class ResponseMain {
  final double temp;
  final double feelsLike;

  final double pressure;
  final double humidity;
  final double tempMin;
  final double tempMax;
  final double? seaLevel;
  final double? grndLevel;

  ResponseMain({
    required this.temp,
    required this.feelsLike,
    required this.pressure,
    required this.humidity,
    required this.tempMin,
    required this.tempMax,
    required this.seaLevel,
    required this.grndLevel,
  });

  /// Convert temperature to Kelvin
  double get tempAsKelvin => temp;

  /// Convert temperature to Celsius
  double get tempAsCelsius => temp - 273.15;

  /// Convert temperature to Fahrenheit
  double get tempAsFahrenheit => temp * (9 / 5) - 459.67;

  /// Connect the generated [_$ResponseMainFromJson] function to the `fromJson`
  /// factory.
  factory ResponseMain.fromJson(Map<String, dynamic> json) =>
      _$ResponseMainFromJson(json);

  /// Connect the generated [_$ResponseMainToJson] function to the `toJson` method.
  Map<String, dynamic> toJson() => _$ResponseMainToJson(this);
}
