import 'package:json_annotation/json_annotation.dart';

part 'sys.g.dart';

@JsonSerializable()
class Sys {
  final int type;
  final int id;
  final double? message;
  final String country;
  @JsonKey(fromJson: _fromJson, toJson: _toJson)
  final DateTime sunrise;
  @JsonKey(fromJson: _fromJson, toJson: _toJson)
  final DateTime sunset;

  Sys({
    required this.type,
    required this.id,
    required this.message,
    required this.country,
    required this.sunrise,
    required this.sunset,
  });

  static DateTime _fromJson(int int) =>
      DateTime.fromMillisecondsSinceEpoch(int);
  static int _toJson(DateTime time) => time.millisecondsSinceEpoch;

  /// Connect the generated [_$SysFromJson] function to the `fromJson`
  /// factory.
  factory Sys.fromJson(Map<String, dynamic> json) => _$SysFromJson(json);

  /// Connect the generated [_$SysToJson] function to the `toJson` method.
  Map<String, dynamic> toJson() => _$SysToJson(this);
}
