import 'package:json_annotation/json_annotation.dart';

part 'weather.g.dart';

@JsonSerializable()
class Weather {
  final int id;
  final String main;
  final String description;
  final String icon;

  Weather(
      {required this.id,
      required this.main,
      required this.description,
      required this.icon});

  /// Connect the generated [_$WeatherFromJson] function to the `fromJson`
  /// factory.
  factory Weather.fromJson(Map<String, dynamic> json) =>
      _$WeatherFromJson(json);

  /// Connect the generated [_$WeatherToJson] function to the `toJson` method.
  Map<String, dynamic> toJson() => _$WeatherToJson(this);
}
